hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Wei-Chiu Chuang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-16152) Upgrade Eclipse Jetty version to 9.4.x
Date Fri, 01 Mar 2019 21:20:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-16152?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16782083#comment-16782083
] 

Wei-Chiu Chuang commented on HADOOP-16152:
------------------------------------------

Initially I thought maybe we missed jetty-server in the shaded jar. But I did see SessionHandler
class in the shaded jar:
{noformat}
$ jar tf hadoop-client-modules/hadoop-client-minicluster/target/hadoop-client-minicluster-3.3.0-SNAPSHOT.jar
|grep "jetty\/server\/session"

...

org/apache/hadoop/shaded/org/eclipse/jetty/server/session/SessionHandler.class
{noformat}
 So if the Jetty 9.3 jar is shaded into hadoop-client-minicluster jar, I don't see how this
can happen. Did Hadoop 3.1 fail to ship shaded Hadoop jars (shading could be disabled optionally)?
Does Spark link hadoop-common instead of hadoop-client-minicluster jars?

 

For information, we maintain a list of downstream consumable artifacts at [https://hadoop.apache.org/docs/r3.1.0/hadoop-project-dist/hadoop-common/DownstreamDev.html#Build_Artifacts]
 * hadoop-client
 * hadoop-client-api
 * hadoop-client-minicluster
 * hadoop-client-runtime
 * hadoop-hdfs-client
 * hadoop-hdfs-native-client
 * hadoop-mapreduce-client-app
 * hadoop-mapreduce-client-common
 * hadoop-mapreduce-client-core
 * hadoop-mapreduce-client-jobclient
 * hadoop-mapreduce-client-nativetask
 * hadoop-yarn-client

> Upgrade Eclipse Jetty version to 9.4.x
> --------------------------------------
>
>                 Key: HADOOP-16152
>                 URL: https://issues.apache.org/jira/browse/HADOOP-16152
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 3.2.0
>            Reporter: Yuming Wang
>            Priority: Major
>
> Some big data projects have been upgraded Jetty to 9.4.x, which causes some compatibility
issues.
> Spark: [https://github.com/apache/spark/blob/5a92b5a47cdfaea96a9aeedaf80969d825a382f2/pom.xml#L141]
> Calcite: [https://github.com/apache/calcite/blob/avatica-1.13.0-rc0/pom.xml#L87]
> Hive: https://issues.apache.org/jira/browse/HIVE-21211



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message